Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.interfaces
Class EPPNamestoreExtHostTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.interfaces.EPPNamestoreExtHostTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPNamestoreExtHostTst

extends junit.framework.TestCase

Is a unit test of the EPPSession class. The unit test will initialize a session with an EPP Server and end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
java com.verisign.epp.interfaces.EPPNamestoreExtHostTst -Dthreads=2 ../../epp.config
The unit test is dependent on the use of JUNIT 3.5
The test `EPPResponse` is duplicated for `EPPMessage` that do not contain a specialized `EPPResponse` to provide an example of a full `EPPMessage` transaction. All of the com.verisign.epp.codec.gen package `EPPMessage` classes are associated with `EPPResponse`.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $

Constructor Summary
`EPPNamestoreExtHostTst(java.lang.String name)` Allocates an `EPPNamestoreExtHostTst` with a logical name.

Method Summary
`void` | `handleException(EPPCommandException aException)` Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
`void` | `hostCreate()` Unit test of `EPPHost.sendCreate`.
`void` | `hostDelete()` Unit test of `EPPHost.sendDelete`.
`void` | `hostInfo()` Unit test of `EPPHost.sendInfo`.
`void` | `hostUpdate()` Unit test of `EPPHost.sendUpdate`.
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off (`false`).
`java.lang.String` | `makeDomainName()` This method tries to generate a unique String as Domain Name and Name Server
`java.lang.String` | `makeHostName()` This method tries to generate a unique String as contact Name
`java.lang.String` | `makeHostName(java.lang.String newDomainName)` This method tries to generate a unique Host Name for a given Domain Name
`java.lang.String` | `makeIP()` This method tries to generate a unique IP address
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPNamestoreExtHostTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testHost()` JUNIT test method to implement the `EPPNamestoreExtHostTst TestCase`.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPNamestoreExtHostTst

    public EPPNamestoreExtHostTst(java.lang.String name)

  Allocates an `EPPNamestoreExtHostTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.

  Parameters:
    `name` - Logical name of the test

Method Detail

### testHost

    public void testHost()

  JUNIT test method to implement the `EPPNamestoreExtHostTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPHost interface.

### hostInfo

    public void hostInfo()

  Unit test of `EPPHost.sendInfo`.

### hostCreate

    public void hostCreate()

  Unit test of `EPPHost.sendCreate`.

### hostDelete

    public void hostDelete()

  Unit test of `EPPHost.sendDelete`.

### hostUpdate

    public void hostUpdate()

  Unit test of `EPPHost.sendUpdate`.

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPNamestoreExtHostTst`.

  Returns:
    DOCUMENT ME!

### handleException

    public void handleException(EPPCommandException aException)

  Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error : <Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error : <Exception Description>" will be specified.

  Parameters:
    `aException` - Exception thrown during test

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off (`false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - DOCUMENT ME!

### makeDomainName

    public java.lang.String makeDomainName()

  This method tries to generate a unique String as Domain Name and Name Server

  Returns:
    DOCUMENT ME!

### makeIP

    public java.lang.String makeIP()

  This method tries to generate a unique IP address

  Returns:
    DOCUMENT ME!

### makeHostName

    public java.lang.String makeHostName(java.lang.String newDomainName)

  This method tries to generate a unique Host Name for a given Domain Name

  Parameters:
    `newDomainName` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### makeHostName

    public java.lang.String makeHostName()

  This method tries to generate a unique String as contact Name

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.